#ifndef __PC_H__
#define __PC_H__

#include <inttypes.h>
#include "usart.h"
#include "eprom.h"
#include "editor.h"

// Konstanten, die fuer die Zustaende stehen.
#define PC_STATE_STOP 0
#define PC_STATE_START 1
#define PC_STATE_CONNECTED 2
#define PC_STATE_WRITE_SIZE 3
#define PC_STATE_WRITE 4

// Konstante, die die Version des Protokolls angibt.
#define PC_VERSION 1

// Konstanten, die fuer die Nachrichten stehen.
#define PC_DISCONNECT 0
#define PC_CONNECT 1
#define PC_SIZE 2
#define PC_INFO 3
#define PC_NEPROM 4
#define PC_EEPROM 5
#define PC_EMPTY 6
#define PC_NEMPTY 7
#define PC_CLEAR 8
#define PC_CLEARED 9
#define PC_NCLEARED 10
#define PC_FLUSH 11
#define PC_FLUSHED 12
#define PC_READ 13
#define PC_WRITE 14
#define PC_WRITE_SIZE 15
#define PC_WRITE_NEXT 16
#define PC_WRITTEN 17
#define PC_BURN 18
#define PC_BURNING 19
#define PC_BURNED 20

void pc_start(void);

void pc_process(void);

void pc_stop(void);

#endif
