#ifndef __TWI_H__
#define __TWI_H__

#include <avr/io.h>
#include <inttypes.h>

// Konstanten, die die eigene Adresse und das Timeout angeben.
#define TWI_ADDRESS 1
#define TWI_TIMEOUT 2000

// Konstanten, die fuer die Zustaende stehen.
#define TWI_STATE_STOP 0
#define TWI_STATE_START 1
#define TWI_STATE_ADDRESS_SET 2
#define TWI_STATE_ADDRESS 3
#define TWI_STATE_READ 4
#define TWI_STATE_READ_GET 5

// Konstanten, die fuer Statusmeldunden stehen.
#define TWI_NOP 0
#define TWI_SET_ADDRESS 1
#define TWI_GET_DATA 2
#define TWI_ERROR 3

void twi_init(void);

uint8_t twi_get_data(void);

uint8_t twi_read(uint8_t address);

#endif
