#ifndef __USI_H__
#define __USI_H__

#include <avr/io.h>
#include <inttypes.h>
#include <util/delay.h>

// Konstanten, die fuer die Pins von SDA und SCL stehen.
#define SDA DDB5
#define SCL DDB7

// Konstanten, die die eigene Adresse und das Timeout angeben.
#define USI_ADDRESS 2
#define USI_TIMEOUT 100

// Konstanten, die fuer die Zustaende stehen.
#define USI_STATE_START 0
#define USI_STATE_ADDRESS 1
#define USI_STATE_READ_ACK 2
#define USI_STATE_READ_SET 3
#define USI_STATE_READ 4
#define USI_STATE_WRITE_ACK 5
#define USI_STATE_WRITE 6
#define USI_STATE_WRITE_GET 7

// Konstanten, die fuer Statusmeldunden stehen.
#define USI_NOP 0
#define USI_SET_DATA 1
#define USI_GET_DATA 2

void usi_init(void);

void usi_set_data(uint8_t data);

uint8_t usi_get_data(void);

uint8_t usi_process(void);

void usi_reset(void);

#endif
